# IGListTransitionDelegate Protocol Reference

# IGListTransitionDelegate

    @protocol IGListTransitionDelegate <NSObject>

Conform to `IGListTransitionDelegate` to provide customized layout information for a collection view.

- `-listAdapter:customizedInitialLayoutAttributes:sectionController:atIndex:`

  Asks the delegate to customize and return the starting layout information for an item being inserted into the collection view.

  #### Declaration

  Objective-C

      - (UICollectionViewLayoutAttributes *)
                            listAdapter:(IGListAdapter *)listAdapter
      customizedInitialLayoutAttributes:(UICollectionViewLayoutAttributes *)attributes
                      sectionController:(IGListSectionController *)sectionController
                                atIndex:(NSInteger)index;

  Swift

      func listAdapter(_ listAdapter: Any!, customizedInitialLayoutAttributes attributes: Any!, sectionController: Any!, atIndex index: Any!) -> Any!

  #### Parameters

  `listAdapter` | The adapter controlling the list.
  `attributes` | The starting layout information for an item being inserted into the collection view.
  `sectionController` | The section controller to perform the transition on.
  `index` | The index of the item being inserted.

- `-listAdapter:customizedFinalLayoutAttributes:sectionController:atIndex:`

  Asks the delegate to customize and return the final layout information for an item that is about to be removed from the collection view.

  #### Declaration

  Objective-C

      - (UICollectionViewLayoutAttributes *)
                          listAdapter:(IGListAdapter *)listAdapter
      customizedFinalLayoutAttributes:(UICollectionViewLayoutAttributes *)attributes
                    sectionController:(IGListSectionController *)sectionController
                              atIndex:(NSInteger)index;

  Swift

      func listAdapter(_ listAdapter: Any!, customizedFinalLayoutAttributes attributes: Any!, sectionController: Any!, atIndex index: Any!) -> Any!

  #### Parameters

  `listAdapter` | The adapter controlling the list.
  `attributes` | The final layout information for an item that is about to be removed from the collection view.
  `sectionController` | The section controller to perform the transition on.
  `index` | The index of the item being deleted.

© 2018 Instagram. All rights reserved. (Last updated: 2018-05-01)

Generated by jazzy ♪♫ v0.9.1, a Realm project.